aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Singleton <matt@xcolour.net>2023-02-02 14:42:31 -0600
committerMatt Singleton <matt@xcolour.net>2023-02-02 14:42:31 -0600
commit6035311e447acb0e734505afe500237bd8872df0 (patch)
treeb96cd9dcb8379e76bc165aa6ef78c1efa9ecf425
parent9717093d86f1906234c77230f9e167b878265cb9 (diff)
clean up some script stuff
-rwxr-xr-xbin/backup2
-rwxr-xr-xbin/color_test32
-rw-r--r--color_test.sh31
3 files changed, 33 insertions, 32 deletions
diff --git a/bin/backup b/bin/backup
index 9366322..75aded9 100755
--- a/bin/backup
+++ b/bin/backup
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/bin/bash
set -euo pipefail
diff --git a/bin/color_test b/bin/color_test
new file mode 100755
index 0000000..6d6b6aa
--- /dev/null
+++ b/bin/color_test
@@ -0,0 +1,32 @@
+#!/bin/bash
+#
+# Based on Daniel Crisman's ANSI color chart script from
+# The Bash Prompt HOWTO: 6.1. Colours
+# http://www.tldp.org/HOWTO/Bash-Prompt-HOWTO/x329.html
+#
+# This function echoes a bunch of color codes to the
+# terminal to demonstrate what's available. Each
+# line is the color code of one forground color,
+# out of 17 (default + 16 escapes), followed by a
+# test use of that color on all nine background
+# colors (default + 8 escapes).
+
+set -euo pipefail
+
+T='gYw' # The test text
+
+echo -e "\n def 40m 41m 42m 43m 44m 45m 46m 47m";
+
+for FGs in ' m' ' 1m' ' 30m' '1;30m' ' 31m' '1;31m' ' 32m' \
+ '1;32m' ' 33m' '1;33m' ' 34m' '1;34m' ' 35m' '1;35m' \
+ ' 36m' '1;36m' ' 37m' '1;37m';
+
+ do FG=${FGs// /}
+ echo -en " $FGs \033[$FG $T "
+
+ for BG in 40m 41m 42m 43m 44m 45m 46m 47m;
+ do echo -en "\033[$FG\033[$BG $T \033[0m";
+ done
+ echo;
+done
+echo
diff --git a/color_test.sh b/color_test.sh
deleted file mode 100644
index 3575678..0000000
--- a/color_test.sh
+++ /dev/null
@@ -1,31 +0,0 @@
-function color_test {
- # Daniel Crisman's ANSI color chart script from
- # The Bash Prompt HOWTO: 6.1. Colours
- # http://www.tldp.org/HOWTO/Bash-Prompt-HOWTO/x329.html
- #
- # This function echoes a bunch of color codes to the
- # terminal to demonstrate what's available. Each
- # line is the color code of one forground color,
- # out of 17 (default + 16 escapes), followed by a
- # test use of that color on all nine background
- # colors (default + 8 escapes).
- #
-
- T='gYw' # The test text
-
- echo -e "\n def 40m 41m 42m 43m 44m 45m 46m 47m";
-
- for FGs in ' m' ' 1m' ' 30m' '1;30m' ' 31m' '1;31m' ' 32m' \
- '1;32m' ' 33m' '1;33m' ' 34m' '1;34m' ' 35m' '1;35m' \
- ' 36m' '1;36m' ' 37m' '1;37m';
-
- do FG=${FGs// /}
- echo -en " $FGs \033[$FG $T "
-
- for BG in 40m 41m 42m 43m 44m 45m 46m 47m;
- do echo -en "$EINS \033[$FG\033[$BG $T \033[0m";
- done
- echo;
- done
- echo
-}